Bug 1832718 - [NetworkManager-openvpn-gnome] variable "User private key" not imported from OVPN file
Summary: [NetworkManager-openvpn-gnome] variable "User private key" not imported from ...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn
Version: 32
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-07 07:36 UTC by Joachim Frieben
Modified: 2020-06-17 18:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Joachim Frieben 2020-05-07 07:36:56 UTC
Description of problem:
After importing a valid OVPN config file, the "User private key" remains unset, and the connection cannot be saved.

Version-Release number of selected component (if applicable):
NetworkManager-openvpn-gnome-1.8.12-1.fc32

How reproducible:
Always

Steps to Reproduce:
1. Open VPN settings panel.
2. Import some valid OVPN file.

Actual results:
The "User private key" variable remains unset showing the value "none".

Expected results:
The "User private key" variable is set to the correct value.

Additional info:
- When importing indivudal PEM files, then the VPN connection can be saved and activated successfully. However, when opening the corresponding configuration panel again, then "User private key" shows the value "none". The connection cannot be saved or updated unless the corresponding PEM file has been selected again.
- This bug is a regression with respect to Fedora 31 for which valid OVPN configuration files can be imported flawlessly.

Comment 1 Alessio 2020-05-15 14:58:30 UTC
Same issue here.

Comment 2 Alessio 2020-05-15 15:00:18 UTC
(In reply to Alessio from comment #1)
> Same issue here.

In addition. If you add the key by hand, you are able to save the connection and it also work.
But if you open the configuration in order to make some changes, you have to define the User private key again in order to be able to save the configuration.

Comment 3 Alessio 2020-05-15 15:04:00 UTC
Probably this is tracked upstream https://gitlab.gnome.org/GNOME/NetworkManager-openvpn/-/issues/50

Comment 4 Alessio 2020-06-17 18:42:10 UTC
It seems that it has been fixed upstream https://gitlab.gnome.org/GNOME/libnma/-/commit/b09c4dc2a8d3d7d44b9fc7ec22d499b7641de8c5


Note You need to log in before you can comment on or make changes to this bug.